curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders/{order_id}/fulfillment' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfillmentData": {},
"netsuiteCashSaleId": "string",
"status": "pending"
}'
{
"ok": true
}
Update fulfillment status for an order
Update fulfillment status for an order
POST
/
v1
/
tenants
/
{tenant_id}
/
orders
/
{order_id}
/
fulfillment
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders/{order_id}/fulfillment' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfillmentData": {},
"netsuiteCashSaleId": "string",
"status": "pending"
}'
{
"ok": true
}
Path parameters
string
required
Tenant identifier
string (uuid)
required
Order UUID
Request body
object
object
required
Fulfillment data JSON
string
NetSuite cash sale ID if applicable
string
Fulfillment status (default
FULFILLED)Response
object
boolean
required
Operation success indicator
Status codes
| Code | Meaning |
|---|---|
200 | Fulfillment updated |
401 | Unauthorized |
404 | Order not found |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders/{order_id}/fulfillment' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfillmentData": {},
"netsuiteCashSaleId": "string",
"status": "pending"
}'
{
"ok": true
}
Last modified on August 31, 2026